Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.aop.collection
Class CollectionInterceptorUtil

    java.lang.Object
      org.jboss.cache.aop.collection.CollectionInterceptorUtil

    public class CollectionInterceptorUtil

extends java.lang.Object

CollectionInterceptorUtil contains helper methods for the interceptors of the different collection types.

Author:
  Harald Gliebe, Ben Wang

Constructor Summary
`CollectionInterceptorUtil()`

Method Summary
`static org.jboss.aop.proxy.ClassProxy` | `createListProxy(PojoCache cache, Fqn fqn, java.lang.Class clazz, java.util.List obj)`
`static org.jboss.aop.proxy.ClassProxy` | `createMapProxy(PojoCache cache, Fqn fqn, java.lang.Class clazz, java.util.Map obj)`
`static org.jboss.aop.proxy.ClassProxy` | `createProxy(java.lang.Class clazz, AbstractCollectionInterceptor interceptor)`
`static org.jboss.aop.proxy.ClassProxy` | `createSetProxy(PojoCache cache, Fqn fqn, java.lang.Class clazz, java.util.Set obj)`
`static AbstractCollectionInterceptor` | `getInterceptor(org.jboss.aop.proxy.ClassProxy proxy)`
`static java.util.Map` | `getManagedMethods(java.lang.Class clazz)`
`static java.util.Map` | `getMethodMap(java.lang.Class clazz)`
`static java.lang.Object` | `invoke(org.jboss.aop.joinpoint.Invocation invocation, java.lang.Object interceptor, java.util.Map methodMap, java.util.Map managedMethods)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionInterceptorUtil

    public CollectionInterceptorUtil()

Method Detail

### createProxy

    public static org.jboss.aop.proxy.ClassProxy createProxy(java.lang.Class clazz,
                                                             AbstractCollectionInterceptor interceptor)
                                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createMapProxy

    public static org.jboss.aop.proxy.ClassProxy createMapProxy(PojoCache cache,
                                                                Fqn fqn,
                                                                java.lang.Class clazz,
                                                                java.util.Map obj)
                                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createListProxy

    public static org.jboss.aop.proxy.ClassProxy createListProxy(PojoCache cache,
                                                                 Fqn fqn,
                                                                 java.lang.Class clazz,
                                                                 java.util.List obj)
                                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createSetProxy

    public static org.jboss.aop.proxy.ClassProxy createSetProxy(PojoCache cache,
                                                                Fqn fqn,
                                                                java.lang.Class clazz,
                                                                java.util.Set obj)
                                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getInterceptor

    public static AbstractCollectionInterceptor getInterceptor(org.jboss.aop.proxy.ClassProxy proxy)

### getMethodMap

    public static java.util.Map getMethodMap(java.lang.Class clazz)

### getManagedMethods

    public static java.util.Map getManagedMethods(java.lang.Class clazz)

### invoke

    public static java.lang.Object invoke(org.jboss.aop.joinpoint.Invocation invocation,
                                          java.lang.Object interceptor,
                                          java.util.Map methodMap,
                                          java.util.Map managedMethods)
                                   throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.